"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _styles = require("@material-ui/core/styles");

var _default = (0, _styles.makeStyles)(function (theme) {
  return {
    pagination: {
      '& ul': {
        padding: '0',
        listStyle: 'none',
        display: 'flex',
        flex: '0 0 100%',
        flexWrap: 'wrap',
        maxWidth: '100%',
        '& li': {
          '&:not(:last-child)': {
            marginRight: '8px'
          },
          '& .dots': {
            margin: "".concat(theme.spacing(0), "px ").concat(theme.spacing(2), "px"),
            lineHeight: '48px'
          }
        }
      }
    },
    button: {
      padding: theme.spacing(1),
      minWidth: theme.spacing(5)
    }
  };
});

exports.default = _default;