"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _materialUiImage = _interopRequireDefault(require("material-ui-image"));

var _grid = _interopRequireDefault(require("senswap-ui/grid"));

var _typography = _interopRequireDefault(require("senswap-ui/typography"));

var _circularProgress = _interopRequireDefault(require("senswap-ui/circularProgress"));

var _styles = _interopRequireDefault(require("./styles"));

var _logo = _interopRequireDefault(require("./logo.svg"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var Brand = /*#__PURE__*/(0, _react.forwardRef)(function (props, ref) {
  var classes = (0, _styles.default)();
  var subtitle = props.subtitle;

  var onHome = function onHome() {
    window.location.href = window.location.origin;
  };

  return /*#__PURE__*/_react.default.createElement(_grid.default, {
    ref: ref,
    container: true,
    spacing: 1,
    alignItems: "center",
    className: classes.noWrap
  }, /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    className: classes.logo,
    onClick: onHome
  }, /*#__PURE__*/_react.default.createElement(_materialUiImage.default, {
    src: _logo.default,
    color: "#00000000",
    loading: /*#__PURE__*/_react.default.createElement(_circularProgress.default, {
      size: 17
    })
  })), /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    className: classes.cursor,
    onClick: onHome
  }, subtitle ? /*#__PURE__*/_react.default.createElement(_typography.default, {
    className: classes.subtitle
  }, subtitle) : null, /*#__PURE__*/_react.default.createElement(_typography.default, null, "SenSwap")));
});
Brand.defaultProps = {
  subtitle: ''
};
Brand.propTypes = {
  subtitle: _propTypes.default.string
};
var _default = Brand;
exports.default = _default;