"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styles = require("@material-ui/core/styles");

var _Grid = _interopRequireDefault(require("@material-ui/core/Grid"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var useStyles = (0, _styles.makeStyles)(function (theme) {
  return {
    fullWidth: {
      width: '100%'
    }
  };
});

function Drain(props) {
  var classes = useStyles();
  var size = props.size;
  return /*#__PURE__*/_react.default.createElement(_Grid.default, {
    container: true,
    className: classes.fullWidth,
    style: {
      height: size * 8
    }
  });
}

Drain.defaultProps = {
  size: 6
};
Drain.propTypes = {
  size: _propTypes.default.number
};
var _default = Drain;
exports.default = _default;