"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _styles = require("@material-ui/core/styles");

var SIDEBAR_WIDTH = 16;

var _default = (0, _styles.makeStyles)(function (theme) {
  return {
    noWrap: {
      flexWrap: 'nowrap'
    },
    stretch: {
      flex: '1 1 auto'
    },
    sidebar: {
      width: SIDEBAR_WIDTH * theme.spacing(2),
      transition: theme.transitions.create('width', {
        easing: theme.transitions.easing.sharp,
        duration: theme.transitions.duration.leavingScreen
      })
    },
    paper: {
      width: (SIDEBAR_WIDTH - 2) * theme.spacing(2),
      padding: theme.spacing(2),
      backgroundColor: theme.palette.background.default
    }
  };
});

exports.default = _default;